Issue 122821 - SAL's custom allocator allocate() method does not match signature required by the standard
Summary: SAL's custom allocator allocate() method does not match signature required by...
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.0.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 122766
  Show dependency tree
 
Reported: 2013-07-24 13:34 UTC by hdu@apache.org
Modified: 2014-04-01 13:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-07-24 13:34:08 UTC
The custom allocator in SAL does not yet allow calling the allocate() method with just one argument whereas the standard requires that to be possible. The second parameter (the allocation hint) defaults to the value zero there.
Comment 1 SVN Robot 2013-07-25 08:01:46 UTC
"hdu" committed SVN revision 1506839 into branches/rejuvenate01:
#i122821# make SAL's custom allocator allocate() method standard compliant
Comment 2 hdu@apache.org 2013-07-25 08:02:53 UTC
Fixed in the rejuvenate01 branch.
Comment 3 Oliver-Rainer Wittmann 2014-02-10 11:36:33 UTC
@Herbert:
Has the fix been integrated into trunk?
Comment 4 hdu@apache.org 2014-04-01 12:26:41 UTC
Closing the resolved issue.